Bug 848423 - Review Request: erlang-rtplib - Erlang RTP/RTCP codec library
Review Request: erlang-rtplib - Erlang RTP/RTCP codec library
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 652648 823458 845221 erlang-emmap
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 10:38 EDT by Peter Lemenkov
Modified: 2017-01-13 16:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 16:45:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-08-15 10:38:38 EDT
Spec URL: http://peter.fedorapeople.org/erlang-rtplib.spec
SRPM URL: http://peter.fedorapeople.org/erlang-rtplib-0.5.18-1.fc18.src.rpm
Description: Erlang RTP/RTCP codec library.
Fedora Account System Username: peter
Comment 1 Peter Lemenkov 2012-08-15 10:39:53 EDT
NotReady since not all dependent packages are available in Fedora.
Comment 2 Mario Blättermann 2012-10-13 15:31:43 EDT
(In reply to comment #1)
> NotReady since not all dependent packages are available in Fedora.

Which packages remain now as unavailable (in Rawhide)?
Comment 3 Mario Blättermann 2012-10-18 16:47:36 EDT
I tried to do a scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4605623

The errors from build.log are not to count... But seen the BR, all the needed stuff is available at least from Rawhide, even in the correct versions.
Comment 4 Peter Lemenkov 2012-10-20 01:10:29 EDT
(In reply to comment #3)
> I tried to do a scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4605623
> 
> The errors from build.log are not to count... But seen the BR, all the
> needed stuff is available at least from Rawhide, even in the correct
> versions.

Mario, thanks for your attention to this. Right now I'm fully occupied by adding some essential functionality - that's why I'm responding so slowly.

From what I see it looks like something was changed in Opus bit-stream since the latest version I tested (which didn't have a stable API/ABI at that moment). I will investigate it.
Comment 5 Peter Lemenkov 2017-01-13 16:45:19 EST
Unfortunately this library depends on patent-encumbered codecs. So I'm not going to proceed further. Maybe few years later...

Note You need to log in before you can comment on or make changes to this bug.